### Method

# Vips Image gaussblur

#### Declaration [src]

    int
    vips_gaussblur (
      VipsImage* in,
      VipsImage** out,
      double sigma,
      ...
    )

#### Description [src]

This operator runs `vips_gaussmat()` and `vips_convsep()` for you on an image.

Set `min_ampl` smaller to generate a larger, more accurate mask. Set `sigma` larger to make the blur more blurry.

Optional arguments

- `precision`: `VipsPrecision`, precision for blur, default int
- `min_ampl`: `gdouble`, minimum amplitude, default 0.2

See also

`vips_gaussmat()`, `vips_convsep()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`sigma`

  Type: `double`

  How large a mask to use.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.